﻿using System;
using System.Linq;
using WCS.Core;
using WCS.Entity;

public static class Device
{
    #region 静态方法

    public static WCS_DEVICE[] Where(Func<WCS_DEVICE, bool> func)
    {
        var arr = LogicHandler.AllObjects.OfType<WCS_DEVICE>().Where(func).ToArray();
        return arr;
    }

    public static WCS_DEVICE Find(string code)
    {
        return Where(v => v.CODE == code).Single();
    }

    public static WCS_DEVICE[] Find(params string[] codes)
    {
        return Where(v => codes.Contains(v.CODE)).ToArray();
    }

    #endregion 静态方法
}
