﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 设备组
    /// </summary>
    [SugarTable(nameof(WCS_GROUPMEMBER), "设备组")]
    public class WCS_GROUPMEMBER : OBJ
    {
        /// <summary>
        /// 组设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "组设备编号")]
        public string GROUPCODE { get; set; }

        /// <summary>
        /// 组设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(GROUPCODE))]
        public WCS_DEVICE GROUP { get; set; }

        /// <summary>
        /// 子设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "子设备编号")]
        public string MEMBERCODE { get; set; }

        /// <summary>
        /// 子设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(MEMBERCODE))]
        public WCS_DEVICE MEMBER { get; set; }
    }
}
