﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 枚举映射表
    /// </summary>
    [SugarTable(nameof(WCS_MAPPINGENTRY), "枚举映射表")]
    public class WCS_MAPPINGENTRY
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDescription = "ID")]
        public int MEP_ID { get; set; }

        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号")]
        public int MEP_MAPPINGNO { get; set; }

        /// <summary>
        /// 枚举类
        /// </summary>
        [SugarColumn(Length = 50, ColumnDescription = "枚举类")]
        public string MEP_MAPPINGTYPE { get; set; }

        /// <summary>
        /// 枚举名称
        /// </summary>
        [SugarColumn(Length = 50, ColumnDescription = "枚举名称")]
        public string MEP_MAPPINGCHNAME { get; set; }

        /// <summary>
        /// 是否停用
        /// </summary>
        [SugarColumn(ColumnDescription = "是否停用")]
        public bool MEP_ISSTOP { get; set; }
    }
}
