﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 用户
    /// </summary>
    [SugarTable(nameof(WCS_USERS), "用户")]
    public class WCS_USERS
    {
        /// <summary>
        /// 用户账号
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, Length = 128, ColumnDescription = "用户账号")]
        public string USER_NO { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [SugarColumn(Length = 128, ColumnDescription = "密码")]
        public string USER_PWD { get; set; }

        /// <summary>
        /// 文本
        /// </summary>
        [SugarColumn(ColumnDescription = "文本")]
        public byte[] USER_TEXT { get; set; }
    }

  
}
