﻿#nullable enable
using WCS.Entity;

namespace WCS.WebApi.ViewModels
{
    public class DeviceStatusViewModel
    {
        /// <summary>
        /// 设备号
        /// </summary>
        public string? CODE { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        public int? TASKNUM { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        public TaskType? TYPE { get; set; } = null;

        /// <summary>
        /// 货物条码
        /// </summary>
        public string? BARCODE { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        public string? ADDRFROM { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        public string? ADDRTO { get; set; }

        /// <summary>
        /// 请求信号
        /// </summary>
        public bool? REQUEST { get; set; } = null;

        /// <summary>
        /// 光电信号
        /// </summary>
        public bool? PH_STATUS { get; set; } = null;
    }

}