﻿namespace WCS.WebApi.WMS.Request
{
    public class I_WMS_CreateTasksRequest
    {
        public string WMSTaskNum { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        public int TaskType { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        public int TaskState { get; set; }

        /// <summary>
        /// 起点地址
        /// </summary>
        public string FromLocation { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public int FromRow { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public int FromColomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public int FromLayer { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string FromTunnelNum { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        public string EndLocation { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public int EndRow { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public int EndColomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public int EndLayer { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string EndTunnelNum { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareHouseName { get; set; }

        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContainerBarCode { get; set; }

        public string UserName { get; set; }
    }
}
