﻿namespace WCS.WebApi.WMS.Response
{
    /// <summary>
    /// 分配货位响应实体
    /// </summary>
    public class I_WCS_GetWareCellResponse : WcsContractApiResponse
    {
        /// <summary>
        /// 结果
        /// </summary>
        public new bool ResType { get; set; }

        /// <summary>
        /// 消息
        /// </summary>
        public new string ResMessage { get; set; }

        /// <summary>
        /// 货位号
        /// </summary>
        public string CellNo { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string TunnelNum { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public short Row { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public short Colomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public short Layer { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo2 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo3 { get; set; }
    }
}
