﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;
using WCS.Entity;
using WCS.Entity.Protocol;

namespace WCS.Service.Handlers
{
    public abstract class Handler<T> : LogicHandler<T> where T : EntityEx<WCS_DEVICE>
    {
        protected virtual bool Parallel { get { return false; } }
        protected abstract bool Selecte(WCS_DEVICE obj);
        public override void Start()
        {
            AddWork(v => Selecte(v.Entity), Execute, Parallel);
        }
    }
}
