﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Core
{
    public class WorkInfo<T>
    {
        public Action<T> Work { get; set; }

        public IEnumerable<T> Params { get; set; }

        public string Title { get; set; }

        public bool Parallel { get; set; }
    }

    public class WorkInfo
    { 
        public virtual Action<object> Work { get; set; }

        public IEnumerable<object> Params { get; set; }

        public string Title { get; set; }

        public bool Parallel { get; set; }
    }
   
}
