﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.BCR
{
    /// <summary>
    /// 读码器读取协议
    /// </summary>
    [SugarTable(nameof(WCS_BCR80), "读码器读取协议")]
    [DataContract]
    public class WCS_BCR80 : WCS_PROTOCOLDATA, IBCR80
    {
        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容", Length = 130)]
        [DataMember(Order = 0)]
        public string Content { get; set; }
    }
}
