﻿using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV状态协议
    /// </summary>
    public interface IRGV523 : IProtocol
    {
        /// <summary>
        /// 环形穿梭车故障
        /// </summary>
         RGVFault Fault { get; set; }

        /// <summary>
        /// 环形穿梭车工位1故障
        /// </summary>
         RGVPlatformFault Fault1 { get; set; }

        /// <summary>
        /// 工位2故障
        /// </summary>
         RGVPlatformFault Fault2 { get; set; }

        /// <summary>
        /// 环穿状态
        /// </summary>
         RGVStatus Status { get; set; }

        /// <summary>
        /// 工位1状态
        /// </summary>
         RGVPlatformStatus Status1 { get; set; }

        /// <summary>
        /// 工位2状态
        /// </summary>
         RGVPlatformStatus Status2 { get; set; }
    }
}