﻿namespace WCS.Entity.Protocol
{
    /// <summary>
    ///
    /// </summary>
    public interface IStation520 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        int Tasknum { get; set; }

        /// <summary>
        /// 货物数条码 涂布入库口代表AGV任务
        /// </summary>
        int Goodscode { get; set; }

        /// <summary>
        /// 货物数量(1.两个位置放1个货物，2.两个位置放2个货物）
        /// </summary>
        short Goodsnum { get; set; }

        /// <summary>
        /// 货物高度
        /// </summary>
        short GoodsSize { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        short Goodsstart { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        short Goodsend { get; set; }

        /// <summary>
        /// 请求
        /// </summary>
        IstationRequest Request { get; set; }

        /// <summary>
        /// 命令类型
        /// </summary>
        IstationCmdType CmdType { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        short VoucherNo { get; set; }

        /// <summary>
        /// 输送机状态
        /// </summary>
        IstationStatus Istation521Status { get; set; }
    }
}