﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 站台状态读取记录表
    /// </summary>
    [SugarTable(nameof(WCS_Station523), "站台状态读取记录表")]
    [DataContract]
    public class WCS_Station523 : WCS_PROTOCOLDATA, IStation523
    {
        [SugarColumn(ColumnDescription = "警报")]
        [DataMember(Order = 0)]
        public StationFault Alarm { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 1)]
        public short RES { get; set; }

        [SugarColumn(ColumnDescription = "允许状态 值为零时是手动")]
        [DataMember(Order = 2)]
        public StationStatus Status { get; set; }

        [SugarColumn(ColumnDescription = "运行时间")]
        [DataMember(Order = 3)]
        public float RunTime { get; set; }
    }
}
