﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WebApi.WMS.Request
{
    /// <summary>
    /// 获取异常任务请求实体
    /// </summary>
    public class I_WCS_GetExcTaskRequest
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string EquipmentNo { get; set; }

        /// <summary>
        /// 异常代码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ExcCode { get; set; }

        /// <summary>
        /// 异常消息
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ExcMessage { get; set; }

        public string Memo1 { get; set; }
        public string Memo2 { get; set; }
    }
}
