﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace WCS.WebApi.WMS.Request
{
    /// <summary>
    /// 获取产品巷道信息请求参数
    /// </summary>
    public class I_WCS_GetTunnelListRequest
    {
        /// <summary>
        /// 任务组标识
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public List<string> WMSTaskNum { get; set; }

        /// <summary>
        /// 备用
        /// </summary>s
        public string Memo1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }
}
