﻿namespace WCS.WebApi.WMS.Response
{
    public class GetProductInfoResponse : WcsContractApiResponse
    {
        public string BarCode { get; set; }

        /// <summary>
        /// 直径
        /// </summary>
        public decimal Diameter { get; set; }

        /// <summary>
        /// 重量
        /// </summary>
        public decimal Weight { get; set; }

        /// <summary>
        /// 高度
        /// </summary>
        public decimal Height { get; set; }

        /// <summary>
        /// 子托盘类型（0无需自托盘 1 子托盘1 2子托盘2 3子托盘3）
        /// </summary>
        public short ChildContainerType { get; set; }

        /// <summary>
        /// 载重卷数
        /// </summary>
        public short LoadCount { get; set; }

        public int DocId { get; set; }

        public short ProLine { get; set; }

        /// <summary>
        /// 是否尾盘（0否，1是）
        /// </summary>
        public int IsLeft { get; set; }
    }
}
