﻿namespace WCS.WebApi.WMS.Response
{
    public class I_WCS_GetMoveTaskResponse : WcsContractApiResponse
    {
        /// <summary>
        /// 结果
        /// </summary>
        public new int ResType { get; set; }

        /// <summary>
        /// 消息
        /// </summary>
        public new string ResMessage { get; set; }

        /// <summary>
        /// WMS任务号
        /// </summary>
        public string WMSTaskNum { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        public int TaskType { get; set; }

        /// <summary>
        /// 移库起始货位
        /// </summary>
        public string MoveStartWareCell { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public int FromRow { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public int FromColomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public int FromLayer { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string FromTunnelNum { get; set; }

        /// <summary>
        /// 移库目标货位
        /// </summary>
        public string MoveEndWareCell { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public int EndRow { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public int EndColomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public int EndLayer { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string EndTunnelNum { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareHouseName { get; set; }

        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContainerBarCode { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo2 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public new string Memo3 { get; set; }
    }
}
